package com.company;

import java.util.List;

public class Wagon {
    private int maxMiejsc;
    private List<Pasazer> listaPasazerow;

    public Wagon(int maxMiejsc, List<Pasazer> listaPasazerow) {
        this.maxMiejsc = maxMiejsc;
        this.listaPasazerow = listaPasazerow;
    }

    public int getMaxMiejsc() {
        return maxMiejsc;
    }

    public List<Pasazer> getListaPasazerow() {
        return listaPasazerow;
    }

    public void setListaPasazerow(List<Pasazer> listaPasazerow) {
        this.listaPasazerow = listaPasazerow;
    }

    public void dodajKolejnegoPasazera(Pasazer pasazer){
        if(listaPasazerow.size() < maxMiejsc){
            listaPasazerow.add(pasazer);
            System.out.println("Dodano kolejnego pasażera");
        }else{
            System.out.println("Brak wolnych miejsc");
        }
    }

    public void wyswietlPasazerow(){
        for(Pasazer pasazer : listaPasazerow){
            pasazer.wyswietl();
        }
    }

    public void wyswietlInfoWagonu(){
        System.out.println("--- Informacje o wagonie ---");
        System.out.println("Wszystkich miejsc: " + maxMiejsc);
        System.out.println("Liczba pasażerów w wagonie: " + listaPasazerow.size());
        System.out.println("Liczba wolnych miejsc: " + (maxMiejsc - listaPasazerow.size()));
        wyswietlPasazerow();
    }

}
